property

  {number} zoom

property

  {import('ol/extent').Extent} extent

## Index

### Interfaces

- OfflineExtentByZoom
- OfflineLayerMetadata
- OfflineOnTileDownload
- OfflinePersistentContent
- OfflinePersistentLayer
- OfflineTile

### Type Aliases

- onTileDownloadError
- onTileDownloadSuccess

### Variables

- default

## Type Aliases

### onTileDownloadError

onTileDownloadError: ((progress: number) => Promise)

#### Type Parameters

#### Type declaration

- - (progress: number): Promise

  - #### Type Parameters

    #### Parameters

    - ##### progress: number

    #### Returns Promise

### onTileDownloadSuccess

onTileDownloadSuccess: ((progress: number, tile: OfflineTile) => Promise)

#### Type Parameters

#### Type declaration

- - (progress: number, tile: OfflineTile): Promise

  - #### Type Parameters

    #### Parameters

    - ##### progress: number

    - ##### tile: OfflineTile

    #### Returns Promise

## Variables

### default

default: {}

- Defined in src/offline/index.js:81

property

  {onTileDownloadSuccess} onTileDownloadSuccess

property

  {onTileDownloadError} onTileDownloadError

#### Type declaration

Generated using TypeDoc